This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 800594 - (CVE-2012-1136) CVE-2012-1136 freetype: uninitialized pointer use in BDF parser _bdf_parse_glyphs() (#35641)
CVE-2012-1136 freetype: uninitialized pointer use in BDF parser _bdf_parse_gl...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120227,repo...
: Security
Depends On: 806266 806267 806268 806269 806270 806271 889398
Blocks: 800639
  Show dependency treegraph
 
Reported: 2012-03-06 13:53 EST by Jan Lieskovsky
Modified: 2016-11-08 11:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-24 16:02:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-06 13:53:45 EST
An out-of heap-based buffer write flaw was found in the way FreeType font rendering engine performed parsing of glyph and bitmaps information for glyph bitmap distribution format (BDF) font files, that were missing definition of the ENCODING field. A remote attacker could provide a specially-crafted BDF font file, which once opened in an application linked against FreeType would lead to that application crash, or, potentially arbitrary code execution with the privileges of the user running the application.

Upstream bug report:
[1] https://savannah.nongnu.org/bugs/?35641

Upstream patch:
[2] http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=4086fb7caf41e33137e548e43a49a97b127cd369

Acknowledgements:

Red Hat would like to thank Mateusz Jurczyk of the Google Security Team for reporting this issue.
Comment 1 Kurt Seifried 2012-03-06 15:54:17 EST
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/06/16
Comment 2 Jan Lieskovsky 2012-03-15 12:27:36 EDT
This issue affects the versions of the freetype package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the freetype package, as shipped with Fedora release of 15 and 16.
Comment 7 Tomas Hoger 2012-03-16 08:59:34 EDT
This occurs when parsing glyphs that use DWIDTH and BBOX parameters before/without specifying ENCODING parameter.
Comment 8 errata-xmlrpc 2012-04-10 15:59:05 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0467 https://rhn.redhat.com/errata/RHSA-2012-0467.html

Note You need to log in before you can comment on or make changes to this bug.